Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class SpaceArea

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.SpaceArea

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class SpaceArea

extends InlineArea

A space

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary
`protected boolean` | `isAdjustable` Is this space adjustable?
`protected char` | `space` The space for this space area

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo, blockProgressionOffset`

Fields inherited from class org.apache.fop.area.Area
`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`SpaceArea(int blockProgressionOffset, int bidiLevel, char space, boolean adjustable)` Create a space area

Method Summary
`java.lang.String` | `getSpace()`
`boolean` | `isAdjustable()`

Methods inherited from class org.apache.fop.area.inline.InlineArea
`addChildArea, applyVariationFactor, collectInlineRuns, getAdjustingInfo, getBlockProgressionOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isAncestor, isAncestorOrSelf, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustingInfo, setAdjustment, setBlockProgressionOffset, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`activateEffectiveIPD, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getEffectiveAllocIPD, getEffectiveIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setIPD, setTraits, setWritingModeTraits, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### space

    protected char space

  The space for this space area

### isAdjustable

    protected boolean isAdjustable

  Is this space adjustable?

Constructor Detail

### SpaceArea

    public SpaceArea(int blockProgressionOffset,
                     int bidiLevel,
                     char space,
                     boolean adjustable)

  Create a space area

  Parameters:
    `space` - the space character
    `blockProgressionOffset` - the offset for the next area
    `adjustable` - is this space adjustable?
    `bidiLevel` - the bidirectional embedding level (or -1 if not defined)

Method Detail

### getSpace

    public java.lang.String getSpace()

  Returns:
    Returns the space.

### isAdjustable

    public boolean isAdjustable()

  Returns:
    true if the space is adjustable (WRT word-space processing)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.